WinBase.FILE_BASIC_INFO (JNA API)
Description: declaration: package: com.sun.jna.platform.win32, interface: WinBase, class: FILE_BASIC_INFO

Package com.sun.jna.platform.win32

# Class WinBase.FILE_BASIC_INFO

java.lang.Object
com.sun.jna.Structure
com.sun.jna.platform.win32.WinBase.FILE_BASIC_INFO

Direct Known Subclasses:
  `WinBase.FILE_BASIC_INFO.ByReference`

Enclosing interface:
  WinBase

@FieldOrder({"CreationTime","LastAccessTime","LastWriteTime","ChangeTime","FileAttributes"}) public static class WinBase.FILE_BASIC_INFO extends Structure
Contains the basic information for a file. Used for file handles.

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Class
  Description
  `static class`
  `WinBase.FILE_BASIC_INFO.ByReference`

  ## Nested classes/interfaces inherited from class com.sun.jna.Structure

  `Structure.ByValue, Structure.FieldOrder, Structure.StructField`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `WinNT.LARGE_INTEGER`
  `ChangeTime`
  The time the file was changed in FILETIME format.
  `WinNT.LARGE_INTEGER`
  `CreationTime`
  The time the file was created in FILETIME format, which is a 64-bit value representing the number of 100-nanosecond intervals since January 1, 1601 (UTC).
  `int`
  `FileAttributes`
  The file attributes.
  `WinNT.LARGE_INTEGER`
  `LastAccessTime`
  The time the file was last accessed in FILETIME format.
  `WinNT.LARGE_INTEGER`
  `LastWriteTime`
  The time the file was last written to in FILETIME format.

  ### Fields inherited from class com.sun.jna.Structure

  `ALIGN_DEFAULT, ALIGN_GNUC, ALIGN_MSVC, ALIGN_NONE, CALCULATE_SIZE`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `FILE_BASIC_INFO()`
  `FILE_BASIC_INFO(WinBase.FILETIME CreationTime, WinBase.FILETIME LastAccessTime, WinBase.FILETIME LastWriteTime, WinBase.FILETIME ChangeTime, int FileAttributes)`
  `FILE_BASIC_INFO(WinNT.LARGE_INTEGER CreationTime, WinNT.LARGE_INTEGER LastAccessTime, WinNT.LARGE_INTEGER LastWriteTime, WinNT.LARGE_INTEGER ChangeTime, int FileAttributes)`
  `FILE_BASIC_INFO(Pointer memory)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static int`
  `sizeOf()`

  ### Methods inherited from class com.sun.jna.Structure

  `allocateMemory, allocateMemory, autoAllocate, autoRead, autoRead, autoWrite, autoWrite, cacheTypeInfo, calculateSize, clear, createFieldsOrder, createFieldsOrder, createFieldsOrder, createFieldsOrder, dataEquals, dataEquals, ensureAllocated, equals, fieldOffset, getAutoRead, getAutoWrite, getFieldList, getFieldOrder, getFields, getNativeAlignment, getNativeSize, getNativeSize, getPointer, getStringEncoding, getStructAlignment, hashCode, newInstance, newInstance, read, readField, readField, setAlignType, setAutoRead, setAutoSynch, setAutoWrite, setStringEncoding, size, sortFields, toArray, toArray, toString, toString, useMemory, useMemory, write, writeField, writeField, writeField`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### CreationTime

    public WinNT.LARGE_INTEGER CreationTime
    The time the file was created in FILETIME format, which is a 64-bit value representing the number of 100-nanosecond intervals since January 1, 1601 (UTC).

  - ### LastAccessTime

    public WinNT.LARGE_INTEGER LastAccessTime
    The time the file was last accessed in FILETIME format.

  - ### LastWriteTime

    public WinNT.LARGE_INTEGER LastWriteTime
    The time the file was last written to in FILETIME format.

  - ### ChangeTime

    public WinNT.LARGE_INTEGER ChangeTime
    The time the file was changed in FILETIME format.

  - ### FileAttributes

    public int FileAttributes
    The file attributes. For a list of attributes, see File Attribute Constants. If this is set to 0 in a FILE_BASIC_INFO structure passed to SetFileInformationByHandle then none of the attributes are changed.

- ## Constructor Details

  - ### FILE_BASIC_INFO

    public FILE_BASIC_INFO()

  - ### FILE_BASIC_INFO

    public FILE_BASIC_INFO(Pointer memory)

  - ### FILE_BASIC_INFO

    public FILE_BASIC_INFO(WinBase.FILETIME CreationTime, WinBase.FILETIME LastAccessTime, WinBase.FILETIME LastWriteTime, WinBase.FILETIME ChangeTime, int FileAttributes)

  - ### FILE_BASIC_INFO

    public FILE_BASIC_INFO(WinNT.LARGE_INTEGER CreationTime, WinNT.LARGE_INTEGER LastAccessTime, WinNT.LARGE_INTEGER LastWriteTime, WinNT.LARGE_INTEGER ChangeTime, int FileAttributes)

- ## Method Details

  - ### sizeOf

    public static int sizeOf()